package be.iminds.ilabt.jfed.restapi.json;

import be.iminds.ilabt.jfed.util.GeniUrn;
import be.iminds.ilabt.jfed.util.RFC3339Util;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;

import java.io.IOException;
import java.sql.Timestamp;
import java.text.ParseException;
import java.util.Date;

/**
 * JsonDateDeserializer
 */
public class JsonGeniUrnDeserializer extends JsonDeserializer<GeniUrn> {
    @Override
    public GeniUrn deserialize(JsonParser jsonparser,
            DeserializationContext deserializationcontext) throws IOException, JsonProcessingException {
        String urnText = jsonparser.getText();
        try {
            return new GeniUrn(urnText);
        } catch (GeniUrn.GeniUrnParseException e) {
            throw new RuntimeException(e);
        }

    }
}
